Skip to navigation

Create new export snapshot

Create a new export request to start a background task and generate an export file for a specific project by ID.

Authentication

AuthorizationToken

The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:

curl https://label-studio-host/api/projects -H "Authorization: Token [your-token]"

Path parameters

idintegerRequired
A unique integer value identifying this project.

Request

This endpoint expects an object.
annotation_filter_optionsobjectOptional
converted_formatslist of objectsOptional
countersanyOptional
created_byobjectOptional
A ModelSerializer that takes additional arguments for "fields", "omit" and "expand" in order to control which fields are displayed, and whether to replace simple values with complex, nested serializations
finished_atdatetime or nullOptional
Complete or fail time
md5stringOptional1-128 characters
serialization_optionsobjectOptional
statusenumOptional
  • created - Created
  • in_progress - In progress
  • failed - Failed
  • completed - Completed
Allowed values:
task_filter_optionsobjectOptional
titlestringOptional<=2048 characters

Response

This endpoint returns an object.
created_atdatetimeRead-only
Creation time
idintegerRead-only
annotation_filter_optionsobjectOptional
converted_formatslist of objectsOptional
countersanyOptional
created_byobjectOptional
A ModelSerializer that takes additional arguments for "fields", "omit" and "expand" in order to control which fields are displayed, and whether to replace simple values with complex, nested serializations
finished_atdatetime or nullOptional
Complete or fail time
md5stringOptional<=128 characters
serialization_optionsobjectOptional
statusenumOptional
  • created - Created
  • in_progress - In progress
  • failed - Failed
  • completed - Completed
Allowed values:
task_filter_optionsobjectOptional
titlestringOptional<=2048 characters